<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(6, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(5, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


if(isset($facture_id)){

	// Suppresion de la facture
	$requete_suppression_1 = mysqli_query($connexion_mysql, 'DELETE FROM factures WHERE facture_id="'.$facture_id.'"');

	// Suppression des libellés de facture
	$requete_suppression_2 = mysqli_query($connexion_mysql, 'DELETE FROM factures_libelles WHERE facture_id="'.$facture_id.'"');

}

// Défragmentation des tables
$requete_defragmentation_A1 = mysqli_query($connexion_mysql, 'ALTER TABLE factures');
$requete_defragmentation_A2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE factures');

$requete_defragmentation_B1 = mysqli_query($connexion_mysql, 'ALTER TABLE factures_libelles');
$requete_defragmentation_B2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE factures_libelles');


header('Location: ./');
?>
